/* ACE16 - command DIFF */
/* Josef Soucek <josef.soucek@spt.cz> */

#include <stdio.h>
#include <stdlib.h>
/* #include <ctype.h> */
/* #include <string.h> */
/* #include <ace.h> */


/* MAIN */

void main (int argc, char **argv)
{
  FILE *file_stream1;
  FILE *file_stream2;
  char *file_name1;
  char *file_name2;
  int address;
  int znak1;
  int znak2;
  
  if (argc != 3) {
    printf("Wrong number of arguments (%d)\n",argc);
    exit(0);
    }
  
  file_name1 = argv[1];
  file_name2 = argv[2];

  if ((file_stream1 = fopen (file_name1, "r")) == NULL) {
    printf ("Error opening \"%s\"\n",file_name1);
    exit(0);
    }

  if ((file_stream2 = fopen (file_name2, "r")) == NULL) {
    printf ("Error opening \"%s\"\n",file_name2);
    exit(0);
    }

  for (address = 0;; address++) {
    if (((znak1 = getc(file_stream1)) == EOF) || ((znak2 = getc(file_stream2)) == EOF)) {
      fclose(file_stream1);
      fclose(file_stream2);
      exit(0);
      }
    
    if (znak1 != znak2) printf("$%04x = $%02x , $%02x\n", address, znak1, znak2);
    }
}
